# applyPreStatStageChangeAbAttrs | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function applyPreStatStageChangeAbAttrs

- applyPreStatStageChangeAbAttrs< T extends PreStatStageChangeAbAttr >(
  attrType: Constructor < T >,
  pokemon: null | default ,
  stat: ATK | DEF | SPATK | SPDEF | SPD | ACC | EVA ,
  cancelled: BooleanHolder ,
  simulated?: boolean,
  ...args: any[],
  ): void

  #### Type Parameters

  - T extends PreStatStageChangeAbAttr

  #### Parameters

  - attrType: Constructor < T >
  - pokemon: null | default
  - stat: ATK | DEF | SPATK | SPDEF | SPD | ACC | EVA
  - cancelled: BooleanHolder
  - simulated: boolean = false
  - ...args: any[]

  #### Returns void

  - Defined in src/data/ability.ts:5978